/**  
  * A bank account has a balance can be changed by deposits
  * and withdrawals.
*/
public class BankAccount implements Measurable
{
    private double balance;  // declares the instance field!
    
    public BankAccount() 
    { 
        balance = 0; 
    }
        
    public BankAccount(double initialBalance) 
    { 
        balance = initialBalance; 
    }

    public void deposit(double amount) 
    { 
        balance = balance + amount; 
    }

    public void withdraw(double amount) 
    { 
        balance = balance - amount; 
    }

    /** Return the balance in the account.
     *  @return the current balance
     */
    // public double getBalance()  is what we had before. Now....
    
    public double getMeasure()
    {
        return balance;
    }
}